/* Timer support routine declarations.
 * Filename:	MRTimer.h
 */

#ifndef MRTIMER_H
#define MRTIMER_H 1

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef EXEC_IO_H
#include <exec/io.h>
#endif

#ifndef DEVICES_TIMER_H
#include <devices/timer.h>
#endif

#ifndef FUNCTIONS_H
#include <functions.h>
#endif

#ifndef __PARMS
#include <parms.h>
#endif

/* MRTimer.c */
struct timerequest *CreateTimer __PARMS((short vBlank));
void DeleteTimer __PARMS((struct timerequest *timeRequest));
void StartTimer __PARMS((struct timerequest *timeRequest, 
                         unsigned long seconds, unsigned long microSeconds));
void StopTimer __PARMS((struct timerequest *timeRequest));

#endif
